Skip to main content
GET
/
v1
/
documents
/
counts
Count documents
curl --request GET \
  --url https://staging.api.us.aptlydone.com/document/v1/documents/counts \
  --header 'Authorization: Bearer <token>'
{
  "statusCode": 200,
  "timestamp": "2026-01-12T09:12:23.874Z",
  "message": "Success",
  "data": {
    "active": 5,
    "inactive": 10,
    "favorites": 10,
    "all": 15
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

tenantId
string
required

Tenant ID

Example:

"77b19af1-dbd7-4a5a-bcf2-de7ea8e992a5"

userId
string

User ID for filtering

Example:

null

status
object[]

Comma separated Document Status values

Document search string

Example:

""

documentType
string[]

Comma separated Document Type IDs

Example:

null

oversight
object[]

Comma separated Oversight Status values

documentSharingType
object[]

Comma separated Document Sharing Type values

documentOwnerId
string[]

Comma separated Document Owner IDs

Example:

null

isFavourite
string

Document isFavourite

Example:

"true"

allow document link for decision

Example:

"true"

allow document link for delegation

Example:

"true"

responsibleUserId
string[]

Comma separated Responsible User IDs

Example:

null

reviewerUserId
string[]

Comma separated Reviewer User IDs

Example:

null

approverUserId
string[]

Comma separated Approver User IDs

Example:

null

documentUploadType
object

Document Upload Type/Source

createdStartDate
string

Start date time for date range filter on document created at

Example:

"2025-03-05T11:49:50.577Z"

createdEndDate
string

End date time for date range filter on document created at

Example:

"2025-03-05T11:49:50.577Z"

updatedStartDate
string

Start date time for date range filter on document updated at

Example:

"2025-03-05T11:49:50.577Z"

updatedEndDate
string

End date time for date range filter on document updated at

Example:

"2025-03-05T11:49:50.577Z"

linkedDocumentIds
string[]

Comma separated Document IDs already linked to decision/delegation (this is used to include already linked ARCHIVED documents in the list)

Example:

null

Response

200 - application/json

Document counts retrieved successfully

statusCode
number
required

HTTP Status code

Example:

200

timestamp
string
required

Timestamp of the response

Example:

"2026-01-12T09:12:23.874Z"

message
string
required

Response message

Example:

"Success"

data
object
required

Response data